On this page
No Headings
Oauth 2.0 authentication
Client CredentialsToken URL/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/payments/paymenthttps://uri.paypal.com/services/payments/channelpartnerhttps://uri.paypal.com/services/payments/partnerfeehttps://uri.paypal.com/services/payments/realtimepaymentThe ID of the order for which to execute a payment.
application/json
application/json
curl -X GET "https://api-m.sandbox.paypal.com/v1/checkout/orders/string"{
"id": "string",
"intent": "SALE",
"purchase_units": [
{
"reference_id": "string",
"amount": {
"currency": "string",
"total": "string",
"details": {
"subtotal": "string",
"shipping": "string",
"tax": "string",
"handling_fee": "string",
"shipping_discount": "string",
"insurance": "string",
"gift_wrap": "string"
}
},
"payee": {
"email": "user@example.com",
"merchant_id": "string",
"payee_display_metadata": {
"email": "user@example.com",
"display_phone": {
"country_code": "string",
"number": "string"
},
"brand_name": "string"
}
},
"description": "string",
"custom": "string",
"invoice_number": "string",
"payment_descriptor": "string",
"items": [
{
"sku": "string",
"name": "string",
"description": "string",
"quantity": "string",
"price": "string",
"currency": "string",
"tax": "string",
"url": "http://example.com"
}
],
"notify_url": "http://example.com",
"shipping_address": {
"line1": "string",
"line2": "string",
"city": "string",
"country_code": "st",
"postal_code": "string",
"state": "string",
"phone": "string",
"normalization_status": "UNKNOWN",
"type": "string",
"recipient_name": "string"
},
"shipping_method": "string",
"partner_fee_details": {
"receiver": {
"email": "user@example.com",
"merchant_id": "string",
"payee_display_metadata": {
"email": "user@example.com",
"display_phone": {
"country_code": "string",
"number": "string"
},
"brand_name": "string"
}
},
"amount": {
"currency": "string",
"value": "string"
}
},
"payment_linked_group": 1,
"metadata": {
"supplementary_data": [
{
"name": "string",
"value": "string"
}
]
},
"payment_summary": {
"captures": [
{
"id": "string",
"amount": {
"currency": "string",
"total": "string",
"details": {
"subtotal": "string",
"shipping": "string",
"tax": "string",
"handling_fee": "string",
"shipping_discount": "string",
"insurance": "string",
"gift_wrap": "string"
}
},
"status": "PENDING",
"reason_code": "CHARGEBACK",
"transaction_fee": {
"currency": "string",
"value": "string"
},
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
]
}
],
"refunds": [
{
"id": "string",
"amount": {
"currency": "string",
"total": "string",
"details": {
"subtotal": "string",
"shipping": "string",
"tax": "string",
"handling_fee": "string",
"shipping_discount": "string",
"insurance": "string",
"gift_wrap": "string"
}
},
"capture_id": "string",
"sale_id": "string",
"status": "PENDING",
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
]
}
],
"sales": [
{
"id": "string",
"amount": {
"currency": "string",
"total": "string",
"details": {
"subtotal": "string",
"shipping": "string",
"tax": "string",
"handling_fee": "string",
"shipping_discount": "string",
"insurance": "string",
"gift_wrap": "string"
}
},
"transaction_fee": {
"currency": "string",
"value": "string"
},
"status": "COMPLETED",
"reason_code": "CHARGEBACK",
"create_time": "2019-08-24T14:15:22Z",
"update_time": "2019-08-24T14:15:22Z",
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
]
}
],
"authorizations": [
{
"id": "string",
"amount": {
"currency": "string",
"total": "string",
"details": {
"subtotal": "string",
"shipping": "string",
"tax": "string",
"handling_fee": "string",
"shipping_discount": "string",
"insurance": "string",
"gift_wrap": "string"
}
},
"transaction_fee": {
"currency": "string",
"value": "string"
},
"status": "COMPLETED",
"reason_code": "CHARGEBACK",
"create_time": "2019-08-24T14:15:22Z",
"update_time": "2019-08-24T14:15:22Z",
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
]
}
]
},
"status": "NOT_PROCESSED",
"reason_code": "PAYER_SHIPPING_UNCONFIRMED"
}
],
"payment_details": {
"payment_id": "string",
"disbursement_mode": "INSTANT"
},
"gross_total_amount": {
"currency": "string",
"value": "string"
},
"application_context": {
"brand_name": "string",
"locale": "string",
"shipping_preference": "NO_SHIPPING",
"user_action": "string",
"supplementary_data": [
{
"name": "string",
"value": "string"
}
]
},
"metadata": {
"supplementary_data": [
{
"name": "string",
"value": "string"
}
]
},
"status": "CREATED",
"redirect_urls": {
"return_url": "http://example.com",
"cancel_url": "http://example.com"
},
"create_time": "2019-08-24T14:15:22Z",
"update_time": "2019-08-24T14:15:22Z",
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
]
}{
"name": "string",
"message": "string",
"debug_id": "string",
"information_link": "string",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"description": "string"
}
],
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
]
}